export declare const VALIDATION_NO_INT = "VALIDATION_NO_INT";
export declare const VALIDATION_NO_STRING = "VALIDATION_NO_STRING";
export declare const VALIDATION_NO_EMAIL = "VALIDATION_NO_EMAIL";
export declare const VALIDATION_INT_OUT_OF_BOUNDS = "VALIDATION_INT_OUT_OF_BOUNDS";
export declare const VALIDATION_STRING_OUT_OF_BOUNDS = "VALIDATION_STRING_OUT_OF_BOUNDS";
export declare const DEFAULT_CODE = 400;
export declare class Validator {
    static isInt(value: any, min?: number, max?: number): number | never;
    static escape(value: string): string;
    static isString(value: any, min?: number, max?: number): any | never;
    static isEmail(value: any): string | never;
}
